vae_require()

The vae_require() function is a replacement of the PHP internal require() construct that is designed to work properly with the Vae Local Development Environment.

Use it as you would use require() in PHP.

If you are using the Vae Local Development Environment, this will ensure that the latest version of the required file from your development machine is required when developing locally.

You may call this function multiple times on the same filename and the file will be required twice. Use vae_require_once() if you want the file to be only required a single time.

vae_require() is identical in function to vae_include().

Usage

vae_require($filename)

  • $filename - Filename to require.

Returns

Returns true.

Sample Usage

<?php
vae_require("/my_library/library.php");
?>